Bug 440692 - When importing OFX, the OK and Skip buttons are reversed
Summary: When importing OFX, the OK and Skip buttons are reversed
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: ux-ui (show other bugs)
Version: 5.1.2
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-07 13:53 UTC by Dawid Wróbel
Modified: 2021-08-22 15:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments
The account selection (395.73 KB, image/png)
2021-08-22 14:38 UTC, Dawid Wróbel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dawid Wróbel 2021-08-07 13:53:19 UTC
SUMMARY
The OK and Skip buttons are reversed in the OFX importer dialog. The farmost button should be a positive action – in this case the "OK" button.
Comment 1 Thomas Baumgart 2021-08-22 14:26:09 UTC
There are a few dialogs in the context of the OFX importer. Which one do you mean? Screenshot?
Comment 2 Dawid Wróbel 2021-08-22 14:38:12 UTC
Created attachment 140951 [details]
The account selection

The account selection one, specifically. See screenshot attached.
Comment 3 Thomas Baumgart 2021-08-22 15:27:26 UTC
Ah, that one: it is used by all importers not only OFX. Hence my confusion.
Comment 4 Thomas Baumgart 2021-08-22 15:28:58 UTC
Git commit c6478e888ad19a54e16ed38fdcc4e260b3c04e9c by Thomas Baumgart.
Committed on 22/08/2021 at 15:28.
Pushed by tbaumgart into branch '5.1'.

Swap Skip and OK button in account selection dialog
FIXED-IN: 5.1.3

M  +24   -6    kmymoney/dialogs/kaccountselectdlg.ui

https://invent.kde.org/office/kmymoney/commit/c6478e888ad19a54e16ed38fdcc4e260b3c04e9c
Comment 5 Thomas Baumgart 2021-08-22 15:33:10 UTC
Git commit f7e4f29543d4d6bea28f2e0888a1399357f84598 by Thomas Baumgart.
Committed on 22/08/2021 at 15:32.
Pushed by tbaumgart into branch 'master'.

Swap Skip and OK button in account selection dialog

(cherry picked from commit c6478e888ad19a54e16ed38fdcc4e260b3c04e9c)

M  +24   -6    kmymoney/dialogs/kaccountselectdlg.ui

https://invent.kde.org/office/kmymoney/commit/f7e4f29543d4d6bea28f2e0888a1399357f84598